- Qt 5.15
- Qt Multimedia
- C++ Classes
- QCamera
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QCamera

The following members of class QCamera are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(obsolete)` void | error(QCamera::Error value)

## Static Public Members

`(obsolete)` QList<QByteArray> | availableDevices()
`(obsolete)` QString | deviceDescription(const QByteArray &device)

## Member Function Documentation

### `[signal]` void QCamera::error(QCamera::Error value)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use errorOccurred() instead.

Note: Signal error is overloaded in this class. To connect to this signal by using the function pointer syntax, Qt provides a convenient helper for obtaining the function pointer as shown in this example:

     connect(camera, QOverload<QCamera::Error>::of(&QCamera::error),
         [=](QCamera::Error value){ /* ... */ });

### `[static]` QList<QByteArray> QCamera::availableDevices()

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns a list of camera device's available from the default service provider.

See also QCameraInfo::availableCameras().

### `[static]` QString QCamera::deviceDescription(const QByteArray &device)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the description of the device.

See also QCameraInfo::availableCameras() and QCameraInfo::description().